summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rwxr-xr-xmeta/bin/update12
1 files changed, 12 insertions, 0 deletions
diff --git a/meta/bin/update b/meta/bin/update
new file mode 100755
index 00000000..98a69257
--- /dev/null
+++ b/meta/bin/update
@@ -0,0 +1,12 @@
+#! /bin/sh
+set -euf
+
+if test "${nosudo-false}" != true -a `id -u` != 0; then
+ echo "we're going sudo..." >&2
+ exec sudo "$0" "$@"
+ exit 23 # go to hell
+fi
+
+set -x
+cd $(dirname $(readlink -f $0))`
+git pull